Diff two blobs
GET
/api/orgs/{org}/projects/{project}/diff/blob
const url = 'https://api.wrktr.com/api/orgs/example/projects/example/diff/blob';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.wrktr.com/api/orgs/example/projects/example/diff/blob \ --header 'Authorization: Bearer <token>'Hunks between two blobs by their shas; omit one side for an added or deleted file.
Authorizations
Section titled “Authorizations”- bearer
- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org
required
string
project
required
string
Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”FileDiff
Media typeapplication/json
object
path
required
string
status
required
string
binary
required
boolean
tooLarge
required
boolean
hunks
required
Array<object>
object
Example
{ "status": "added", "hunks": [ { "oldStart": "Infinity", "oldLines": "Infinity", "newStart": "Infinity", "newLines": "Infinity", "lines": [ { "kind": "context", "oldLine": "Infinity", "newLine": "Infinity" } ] } ]}BadRequest
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "BadRequest"}Unauthorized
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "Unauthorized"}ProjectNotFound
Media typeapplication/json
object
_tag
required
string
project
required
string
Example
{ "_tag": "ProjectNotFound"}